| Home | Libraries | People | FAQ | More

#### zlib::deflate_stream

Raw deflate compressor.

##### Synopsis

Defined in header `<boost/beast/zlib/deflate_stream.hpp>`

    class deflate_stream :
        private deflate_stream

##### Member Functions

Name | Description
--- | ---
clear | Clear the stream.
deflate_stream | Construct a default deflate stream.
params | Update the compression level and strategy.
pending | Return bits pending in the output.
prime | Insert bits into the compressed output stream.
reset | Reset the stream and compression settings. Reset the stream without deallocating memory.
tune | Fine tune internal compression parameters.
upper_bound | Returns the upper limit on the size of a compressed block.
write | Compress input and write output.

##### Description

This is a port of zlib's "deflate" functionality to C++.

Convenience header `<boost/beast/zlib.hpp>`